Adapt disk_stat to the new structure in 2.6.15-rc1

Signed-Off-By: Jun'ichi Nomura <j-nomura@ce.jp.nec.com>
Signed-Off-By: Alasdair G Kergon <agk@redhat.com>

Index: current-quilt-publish/drivers/md/dm.c
===================================================================
--- current-quilt-publish.orig/drivers/md/dm.c	2006-01-03 21:21:30.000000000 +0000
+++ current-quilt-publish/drivers/md/dm.c	2006-01-03 21:21:39.000000000 +0000
@@ -610,17 +610,13 @@ static void __split_bio(struct mapped_de
 static int dm_request(request_queue_t *q, struct bio *bio)
 {
 	int r;
+	int rw = bio_data_dir(bio);
 	struct mapped_device *md = q->queuedata;
 
 	down_read(&md->io_lock);
 
-	if (bio_data_dir(bio) == WRITE) {
-		disk_stat_inc(dm_disk(md), writes);
-		disk_stat_add(dm_disk(md), write_sectors, bio_sectors(bio));
-	} else {
-		disk_stat_inc(dm_disk(md), reads);
-		disk_stat_add(dm_disk(md), read_sectors, bio_sectors(bio));
-	}
+	disk_stat_inc(dm_disk(md), ios[rw]);
+	disk_stat_add(dm_disk(md), sectors[rw], bio_sectors(bio));
 
 	/*
 	 * If we're suspended we have to queue
